### Class

# Gtk OverlayLayout

#### Description [src]

    final class Gtk.OverlayLayout : Gtk.LayoutManager
    {
      /* No available fields */
    }

`GtkOverlayLayout` is the layout manager used by `GtkOverlay`.

It places widgets as overlays on top of the main child.

This is not a reusable layout manager, since it expects its widget to be a `GtkOverlay`. It is only listed here so that its layout properties get documented.

#### Hierarchy

#### Ancestors

- GtkLayoutManager
- GObject

#### Constructors

###### gtk_overlay_layout_new

Creates a new `GtkOverlayLayout` instance.

#### Instance methods

##### Methods inherited from GtkLayoutManager (6)

###### gtk_layout_manager_allocate

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

###### gtk_layout_manager_get_layout_child

Retrieves a `GtkLayoutChild` instance for the `GtkLayoutManager`, creating one if necessary.

###### gtk_layout_manager_get_request_mode

Retrieves the request mode of `manager`.

###### gtk_layout_manager_get_widget

Retrieves the `GtkWidget` using the given `GtkLayoutManager`.

###### gtk_layout_manager_layout_changed

Queues a resize on the `GtkWidget` using `manager`, if any.

###### gtk_layout_manager_measure

Measures the size of the `widget` using `manager`, for the given `orientation` and size.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkOverlayLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkLayoutManagerClass`
  No description available.